# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename yargs

Name:               nodejs-yargs
Version:            12.0.2
Release:            %mkrel 5
Summary:            Light-weight option parsing with an argv hash

Group:              System/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/yargs
Source0:            https://github.com/yargs/yargs/archive/v%{version}/%{barename}-%{version}.tar.gz
BuildRequires:      nodejs-packaging
BuildRequires:      npm(minimist)
Requires:           npm(minimist)

%if 0%{?enable_tests}
BuildRequires:      npm(hashish)
BuildRequires:      npm(chai)
BuildRequires:      npm(mocha)
%endif
BuildArch:          noarch


%description
Yargs be a node.js library fer hearties tryin' ter parse optstrings against
their will where even the boo box be not enough to coerce them. This here
module is fer scallywags lookin' ter plunder all the sunken -shipz of their
--treasures thru program usage but be tired of optstrings disincling to
acquiesce to yer requests.

With yargs, ye be havin' a map that leads straight to yer treasure! Treasure of
course, being a simple option hash.

%prep
%autosetup -n yargs-%{version}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep minimist ^1.2.
%nodejs_fixdep yargs-parser ">=9.0.2"
%nodejs_fixdep y18n ">=3.2.1"
%nodejs_fixdep decamelize ">=1.1.1"
%nodejs_fixdep find-up ">=3.0.0"

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/yargs
cp -pr package.json lib index.js \
    %{buildroot}%{nodejs_sitelib}/yargs

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha -R nyan
%endif


%files
%doc README.md LICENSE
%{nodejs_sitelib}/yargs/



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 12.0.2-5.mga10
+ Revision: 2210002
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 12.0.2-4.mga9
+ Revision: 1821454
- Mageia 9 Mass Rebuild

* Mon May 04 2020 joequant <joequant> 12.0.2-3.mga9
+ Revision: 1580078
- add deps

* Sun Feb 16 2020 umeabot <umeabot> 12.0.2-2.mga8
+ Revision: 1535575
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 joequant <joequant> 12.0.2-1.mga8
+ Revision: 1452314
- fix fixdeps

* Sat Oct 27 2018 joequant <joequant> 12.0.2-1.mga7
+ Revision: 1326252
- upgrade to 12.0.2

* Thu Sep 20 2018 umeabot <umeabot> 11.1.0-5.mga7
+ Revision: 1281308
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 11.1.0-4.mga7
+ Revision: 1245405
- relax also decamelize dependency

* Thu Jul 26 2018 daviddavid <daviddavid> 11.1.0-3.mga7
+ Revision: 1245404
- relax also y18n dependency

* Thu Jul 26 2018 daviddavid <daviddavid> 11.1.0-2.mga7
+ Revision: 1245403
- relax yargs-parser dependency

* Sun Apr 29 2018 kekepower <kekepower> 11.1.0-1.mga7
+ Revision: 1223269
- Update to version 11.1.0

* Sat Feb 20 2016 umeabot <umeabot> 3.28.0-4.mga6
+ Revision: 972405
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 spuhler <spuhler> 3.28.0-3.mga6
+ Revision: 897690
-changed %%nodejs_fixdep minimist to ^1.2.

* Wed Nov 04 2015 spuhler <spuhler> 3.28.0-2.mga6
+ Revision: 897679
-changed %%nodejs_fixdep minimist to ^0.x

* Wed Oct 28 2015 joequant <joequant> 3.28.0-1.mga6
+ Revision: 896065
- fix build
+ spuhler <spuhler>
- upgrade to vers. 3.28.0
- imported package nodejs-yargs


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 22 2015 Ralph Bean <rbean@redhat.com> - 3.2.1-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 3.1.0-1
- new version

* Fri Jan 09 2015 Ralph Bean <rbean@redhat.com> - 1.3.3-1
- Update to latest upstream for RHBZ#1177619.

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.2.6-1
- Initial packaging for Fedora.
